#include "XOPStandardHeaders.r"

resource 'vers' (1) {						// XOP version info.
	0x01, 0x20, release, 0x00, 0,			// version bytes and country integer.
	"1.20",
	"1.20,  1993-2002 WaveMetrics, Inc., all rights reserved."
};

resource 'vers' (2) {						// Igor version info.
	0x05, 0x00, release, 0x00, 0,			// Version bytes and country integer.
	"5.00",
	"(for Igor 5.00 or later)"
};

// No custom error messages

// No menu item

resource 'XOPI' (1100) {
	XOP_VERSION,							// XOP protocol version.
	DEV_SYS_CODE,							// Development system information.
	0,										// Obsolete - set to zero.
	0,										// Obsolete - set to zero.
	XOP_TOOLKIT_VERSION,					// XOP Toolkit version.
};

resource 'XOPC' (1100) {
	{
		"LoadRootFile",								// Name of operation.
		XOPOp+UtilOP+compilableOp,			// Operation's category.
	}
};

//added by shaun 19/12/07
// Description of menu items added to built-in Igor menus.
resource 'XMI1' (1100) {
	{
		50,									// Add item to menu with ID=50 (Load Waves menu).
		"Load ROOT file",	// This is text for added menu item.
		0,									// This item has no submenu.
		0,									// Flags field.
	}
};

resource 'STR#' (1100) {					/* custom error messages */
{
		/* [1] */
		"This is not a tab-delimited TEXT file.",
		/* [2] */
		"Could not find at least one row of wave data in the file.",
		/* [3] */
		"Expected name of tab-delimited TEXT file.",
		/* [4] */
		"Expected base name for new waves.",
		/* [5] */
		"SimpleLoadWave requires Igor Pro 5.00 or later.",
}
};



